apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: codimd-cors
  namespace: default
spec:
  headers:
    accessControlAllowMethods: ["GET", "OPTIONS", "PUT", "POST"]
    accessControlAllowOriginList: ["*"]
    accessControlAllowHeaders: ["*"]
    accessControlMaxAge: 100
    addVaryHeader: true
    customResponseHeaders:
      Cache-Control: "no-cache, no-store, must-revalidate"
